# -*- coding: utf-8 -*-
from m3.actions.urls import get_pack_instance

from .ui import LoginPanel


def get_login_panel(request, context):
    u"""Возвращает компонент панели входа в систему.

    ::rtype: educommon.auth.simple_auth.ui.Container
    """
    auth_pack = get_pack_instance('educommon.auth.simple_auth.actions.AuthPack')
    return LoginPanel(
        request, context,
        login_url=auth_pack.login_action.get_absolute_url(),
        reset_password_page_url=(
            auth_pack.reset_password_page_action.get_absolute_url()
        ),
    )
