# -*- coding: utf-8 -*-
from objectpack.ui import ModelEditWindow

from .models import Unit


class UnitAddWindow(ModelEditWindow):
    model = Unit

    def set_params(self, params):
        super(UnitAddWindow, self).set_params(params)
        self.find_by_name('parent_id').hidden = True
        # Устанавливаем значение parent_id для новых учреждений
        if 'parent' in params:
            self.field__parent_id.set_value_from_model(params['parent'])
